VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3090
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3090
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton PDFStampCOM 
      Caption         =   "Test for PDFStampCOM"
      Height          =   1815
      Left            =   720
      TabIndex        =   0
      Top             =   480
      Width           =   3135
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'define for VerySetFunction
Const Very_Set_Range = 131
Const Very_Set_Opacity = 240
Const Very_Get_Opacity = 240
Const Very_Get_PdfPageCount = 206
Const Very_Get_PageBoxForStamp = 260
Const Very_Set_EmbedFont = 241
Const Very_Get_EmbedFont = 241
Const Very_Set_TransparentColor = 242
Const Very_Set_ImageLossless = 243
Const Very_Set_InsertMultipleImageCopy = 244

Private Sub PDFStampCOM_Click()
    Dim pdfstamp As PDFStampOcx.CPDFStamp
    Dim strPDFFile As String
    Dim strOutFile As String
    Dim nIsStamped1 As Long
    Dim nIsStamped2 As Long
    Dim strMessage As String
    
    strPDFFile = App.Path & "\example.pdf"
    strOutFile = App.Path & "\vbcom-test.pdf"
    Set pdfstamp = CreateObject("PDFStampOCX.CPDFStamp")
    pdfstamp.veryRegEx "XXXXXXXXXXXXXXXXXXX"
    id = pdfstamp.veryOpenEx(strPDFFile, strOutFile)
    'id = pdfstamp.VeryStampLayerOpenEx(strPDFFile, strOutFile, "PDFManWatermark_Overlayer", "PDFManWatermark_Underlayer")
    If (id > 0) Then
            Page = 1
            iRet = pdfstamp.verySetFunctionEx(id, Very_Set_InsertMultipleImageCopy, 1, 0, 0, 0)
            pagecount = pdfstamp.veryGetFunctionEx(id, Very_Get_PdfPageCount, 0, 0, 0, 0)
            MsgBox "PDF file: " & strPDFFile & ", Page Count = " & Str(pagecount)
            For Page = 1 To pagecount
                Dim strStampBuf As String
                Dim left As Long
                Dim top As Long
                Dim pagewidth As Long
                Dim pageheight As Long
    
                left = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "left", 0)
                top = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "top", 0)
                pagewidth = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "width", 0)
                pageheight = pdfstamp.veryGetFunctionEx(id, Very_Get_PageBoxForStamp, Page, 0, "height", 0)
                
                'We need to control which pages the stamp goes on
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_Range, Page, 1, 0, 0)
                strStampBuf = "Page:" + Str(pagecount - Page + 1) + ", Page Box: [" + Str(left) + " " + Str(top) + " " + Str(pagewidth) + " " + Str(pageheight) + "]"
                
                'Not embed TTF font for general text stamp
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_EmbedFont, 0, 0, 0, 0)
                iRet = pdfstamp.veryAddTextEx(id, 2, strStampBuf, 255, 0, 0, 0, 0, 0, 0, 300, 0, 10, 1, "http://www.verypdf.com", 0)
          
                'Embed special TTF font into PDF file, we can to use any TTF font
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_EmbedFont, 1, 0, 0, 0)
                iRet = pdfstamp.veryAddTextEx(id, 1, "0123456789", RGB(0, 0, 0), 0, 0, 0, 0, 0, 0, 0, "Code-39-20", 8, 1, "http://www.verypdf.com/", 0)
                
                iRet = pdfstamp.verySetFunctionEx(id, Very_Set_ImageLossless, 1, 0, 0, 0)
                iRet = pdfstamp.veryAddImageEx(id, 9, App.Path & "\watermark.gif", 0, 0, 0, 0, 50, 50, 0, 0, 0)
            Next Page
        pdfstamp.veryCloseEx (id)
    End If
    
    iRet = pdfstamp.VeryStampDeleteStampFromPagesEx(strOutFile, strOutFile + "-StampRemoval.pdf", "1,5-6,8,13-15")
    
    iRet = pdfstamp.VeryStampDeleteImagesFromPagesEx(strOutFile, strOutFile + "-ImageRemoval.pdf", 1240, 1240, "1,5-6,8,13-15")
    
    nIsStamped1 = pdfstamp.VeryStampIsStampedEx(strPDFFile)
    nIsStamped2 = pdfstamp.VeryStampIsStampedEx(strOutFile)
    strMessage = strPDFFile & ", Check Stamp Status: " & Str(nIsStamped1) & vbCrLf
    strMessage = strMessage & strOutFile & ", Check Stamp Status: " & Str(nIsStamped2)
    MsgBox strMessage
    
    strOutFile = App.Path & "\vbcom-newLayer-test.pdf"
    id = pdfstamp.VeryStampLayerOpenEx(strPDFFile, strOutFile, "Foreground Layer", "Background Layer")
    If (id > 0) Then
        iRet = pdfstamp.veryAddTextEx(id, 2, "Test VeryStampLayerOpen() function", 255, 0, 0, 0, 0, 0, 0, 300, 0, 10, 1, "http://www.verypdf.com", 0)
        pdfstamp.veryCloseEx (id)
    End If
    
    strOutFile = App.Path & "\vbcom-Encrypted-test.pdf"
    iRet = pdfstamp.VeryStampEncryptPDFEx(strPDFFile, strOutFile, "", "123", 1, 3900)
End Sub
